@ECHO OFF
REM --------------------------------------------------------------------
REM MS-DOS batch file to generate the figures of the representations of
REM the random medium for paper
REM     Klimes, L. (1997): Correlation functions of random media.
REM         In: Seismic Waves in Complex 3-D Structures, Report 6.
REM         Department of Geophysics, Charles University, Prague.
REM Final PostScript figures are in files
REM     corf02.ps, corf03.ps, ..., corf08.ps.
REM --------------------------------------------------------------------
REM Generating the representations of the random medium :
REM ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
REM Data common to all representations:
REM ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
REM Grid dimensions:
ECHO N1=501  N2=501  D1=0.002  D2=0.002               >grd.tmp
REM Velocities between 0.0 and 2.0, with mean value of 1.000:
ECHO DSD=0.500  VMEAN=1.000  DEVMAX=1.000  DEVEXP=2. >>grd.tmp
REM
REM Individual representations:
REM ~~~~~~~~~~~~~~~~~~~~~~~~~~~
REM Figure 2:
ECHO CTYPE='D'  POWERN=-0.2  ACORG=0.005  ACOR=0.020 >grdran2d.tmp
ECHO 'grd.tmp' 'grdran2d.tmp' 'corf02.out' 1* -13 /  |grdran2d
IF ERRORLEVEL 1 PAUSE
REM
REM Figure 3:
ECHO CTYPE='D'  POWERN=-1.0  ACORG=0.005  ACOR=      >grdran2d.tmp
REM  CTYPE='L'  POWERN=-1.0  ACORG=0.005
REM  CTYPE='G'               ACORG=0.005
ECHO 'grd.tmp' 'grdran2d.tmp' 'corf03.out' 1* -13 /  |grdran2d
IF ERRORLEVEL 1 PAUSE
REM
REM Figure 4:
ECHO CTYPE='D'  POWERN=-0.2  ACORG=0.     ACOR=0.020 >grdran2d.tmp
REM  CTYPE='K'  POWERN=-0.2               ACOR=0.020
ECHO 'grd.tmp' 'grdran2d.tmp' 'corf04.out' 1* -13 /  |grdran2d
IF ERRORLEVEL 1 PAUSE
REM
REM Figure 5:
ECHO CTYPE='D'  POWERN= 0.5  ACORG=0.     ACOR=0.020 >grdran2d.tmp
REM  CTYPE='K'  POWERN= 0.5               ACOR=0.020
REM  CTYPE='E'                            ACOR=0.020
ECHO 'grd.tmp' 'grdran2d.tmp' 'corf05.out' 1* -13 /  |grdran2d
IF ERRORLEVEL 1 PAUSE
REM
REM Figure 6:
ECHO CTYPE='D'  POWERN= 0.0  ACORG=0.     ACOR=0.020 >grdran2d.tmp
REM  CTYPE='K'  POWERN= 0.0               ACOR=0.020
ECHO 'grd.tmp' 'grdran2d.tmp' 'corf06.out' 1* -13 /  |grdran2d
IF ERRORLEVEL 1 PAUSE
REM
REM Figure 7:
ECHO CTYPE='D'  POWERN=-0.2  ACORG=0.     ACOR=      >grdran2d.tmp
REM  CTYPE='K'  POWERN=-0.2               ACOR=
REM  CTYPE='L'  POWERN=-0.2  ACORG=0.
REM  CTYPE='S'  POWERN=-0.2
ECHO 'grd.tmp' 'grdran2d.tmp' 'corf07.out' 1* -13 /  |grdran2d
IF ERRORLEVEL 1 PAUSE
REM
REM Figure 8:
ECHO CTYPE='D'  POWERN=-0.2  ACORG=0.005  ACOR=      >grdran2d.tmp
REM  CTYPE='L'  POWERN=-0.2  ACORG=0.005
ECHO 'grd.tmp' 'grdran2d.tmp' 'corf08.out' 1* -13 /  |grdran2d
IF ERRORLEVEL 1 PAUSE
REM --------------------------------------------------------------------
REM Plotting the representations of the random medium :
REM ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
ECHO HSIZE=16.032  HOFFSET=2.484                     >grdps.tmp
ECHO VCIRC=2.  VREF=1.000  CREF=.166667             >>grdps.tmp
ECHO 'grd.tmp' 'grdps.tmp' 'corf02.out' 'corf02.ps' /|grdps
IF ERRORLEVEL 1 PAUSE
ECHO 'grd.tmp' 'grdps.tmp' 'corf03.out' 'corf03.ps' /|grdps
IF ERRORLEVEL 1 PAUSE
ECHO 'grd.tmp' 'grdps.tmp' 'corf04.out' 'corf04.ps' /|grdps
IF ERRORLEVEL 1 PAUSE
ECHO 'grd.tmp' 'grdps.tmp' 'corf05.out' 'corf05.ps' /|grdps
IF ERRORLEVEL 1 PAUSE
ECHO 'grd.tmp' 'grdps.tmp' 'corf06.out' 'corf06.ps' /|grdps
IF ERRORLEVEL 1 PAUSE
ECHO 'grd.tmp' 'grdps.tmp' 'corf07.out' 'corf07.ps' /|grdps
IF ERRORLEVEL 1 PAUSE
ECHO 'grd.tmp' 'grdps.tmp' 'corf08.out' 'corf08.ps' /|grdps
IF ERRORLEVEL 1 PAUSE
REM --------------------------------------------------------------------
DEL *.tmp
